<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.model.eclipse (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../../org/gradle/tooling/model/eclipse/package-summary.html" target="classFrame">org.gradle.tooling.model.eclipse</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="AccessRule.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>AccessRule</i></a></li>
<li><a href="ClasspathAttribute.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>ClasspathAttribute</i></a></li>
<li><a href="EclipseBuildCommand.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseBuildCommand</i></a></li>
<li><a href="EclipseClasspathContainer.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseClasspathContainer</i></a></li>
<li><a href="EclipseClasspathEntry.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseClasspathEntry</i></a></li>
<li><a href="EclipseExternalDependency.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseExternalDependency</i></a></li>
<li><a href="EclipseJavaSourceSettings.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseJavaSourceSettings</i></a></li>
<li><a href="EclipseLinkedResource.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseLinkedResource</i></a></li>
<li><a href="EclipseOutputLocation.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseOutputLocation</i></a></li>
<li><a href="EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseProject</i></a></li>
<li><a href="EclipseProjectDependency.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseProjectDependency</i></a></li>
<li><a href="EclipseProjectNature.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseProjectNature</i></a></li>
<li><a href="EclipseSourceDirectory.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>EclipseSourceDirectory</i></a></li>
<li><a href="HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse" target="classFrame"><i>HierarchicalEclipseProject</i></a></li>
</ul>
</div>
</body>
</html>
